Name:          jnati
Version:       0.4
Release:       1%{?dist}
Summary:       A framework for distributing, loading and running native code from within Java
License:       LGPLv3 and GPLv3
URL:           http://jnati.sourceforge.net/
# svn export http://svn.code.sf.net/p/jnati/code/jnati/tags/jnati-0.4
# tar cJf jnati-0.4.tar.xz jnati-0.4
Source0:       %{name}-%{version}.tar.xz

BuildRequires: gcc
BuildRequires: java-devel
BuildRequires: maven-local
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.codehaus.mojo:exec-maven-plugin)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
JNATI provides tools for working with native, non-Java, programs and
libraries from within Java, and can automatically handle the
operating system and architecture, helping to preserve
Java's platform independence even when working with native code.

%package core
Summary:       JNATI - Core
Requires:      java-devel

%description core
This package provides JNATI - Core library.

%package deploy
Summary:       JNATI - Artifact Deployer

%description deploy
This package provides JNATI - Artifact Deployer.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%package maven-plugin
Summary:       JNATI - Maven Plugin 
Requires:      gcc

%description maven-plugin
This package provides JNATI - Maven Plugin.

%package proc
Summary:       JNATI - Process Runner

%description proc
This package provides JNATI - Process Runner.

%prep
%setup -q -n %{name}-%{version}
rm -rf .hgignore

%pom_change_dep -r log4j: ::1.2.17

# Use maven 3 apis only
%pom_change_dep :maven-project :maven-core %{name}-maven-plugin

# Add arm support
echo '
LINUX-ARM
os.name = linux.*
os.arch = arm

LINUX-AARCH64
os.name = linux.*
os.arch = arm64' >> %{name}-core/src/main/resources/META-INF/jnati/system.txt

# Convert from dos to unix line ending
sed -i.orig 's|\r||g' %{name}-deploy/README
touch -r %{name}-deploy/README.orig %{name}-deploy/README
rm %{name}-deploy/README.orig

# UnknownHostException: jnati.sourceforge.net
# ArtefactNotFoundException: Artefact not found: test-download-1.0-NOOS-NOARCH
# http://jnati.sourceforge.net/jnati-testrepo/test-download/1.0/test-download-1.0-NOOS-NOARCH.jar
# jnati-deploy/src/test/java/net/sf/jnati/deploy/NativeArtifactLocatorTest.java
mkdir -p %{name}-deploy/tmpdir-testDownload
cp -pr %{name}-deploy/src/test/resources/META-INF/test-deploy %{name}-deploy/tmpdir-testDownload/test-download

%mvn_package :%{name}-test-harness __noinstall

%build

%mvn_build -s -- -Djnati.allowDownload=false

%install
%mvn_install

%files -f .mfiles-%{name}
%license gpl-3.0.txt lgpl-3.0.txt

%files core -f .mfiles-%{name}-core
%license gpl-3.0.txt lgpl-3.0.txt

%files deploy -f .mfiles-%{name}-deploy
%doc jnati-deploy/README

%files javadoc -f .mfiles-javadoc
%license gpl-3.0.txt lgpl-3.0.txt

%files maven-plugin -f .mfiles-%{name}-maven-plugin
%files proc -f .mfiles-%{name}-proc
%license gpl-3.0.txt lgpl-3.0.txt

%changelog
* Sat Oct 08 2016 gil cattaneo <puntogil@libero.it> 0.4-1
- initial rpm

